import request from '@/utils/request'

// 查询cmc合同内容列表
export function listContractWork(query) {
  return request({
    url: '/oa/contractWork/list',
    method: 'get',
    params: query
  })
}

// 查询cmc合同内容详细
export function getContractWork(contractId) {
  return request({
    url: '/oa/contractWork/' + contractId,
    method: 'get'
  })
}

// 新增cmc合同内容
export function addContractWork(data) {
  return request({
    url: '/oa/contractWork',
    method: 'post',
    data: data
  })
}

// 修改cmc合同内容
export function updateContractWork(data) {
  return request({
    url: '/oa/contractWork',
    method: 'put',
    data: data
  })
}

// 删除cmc合同内容
export function delContractWork(contractId) {
  return request({
    url: '/oa/contractWork/' + contractId,
    method: 'delete'
  })
}
